#include <QApplication>
#include <QSslSocket>
#include <QThread>

#include "stompframe.h"
#include "stomp.h"

int main(int argc, char *argv[]) {
    QApplication application(argc, argv);

    Stomp st;
    st.connectRequest("sdi.hevs.ch", 61614, "/", "sdi10", "809c02f36becb0868da98761fe3209f6");

    st.sendRequest("/topic/sdi10.gem.command", "right");

    st.sendRequest("/topic/sdi10.gem.command", "up");

    st.sendRequest("/topic/sdi10.gem.command", "left");

    st.sendRequest("/topic/sdi10.gem.command", "down");

    return application.exec();
}
